#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	RIPEMD160
Summary:	Crypt::RIPEMD160 Perl module - RIPEMD160 message digest algorithm
Summary(pl.UTF-8):	Moduł Perla Crypt::RIPEMD160 - algorytm skrótu RIPEMD160
Name:		perl-Crypt-RIPEMD160
Version:	0.05
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	08e7ded22a090a6583756df8e1cf1597
Patch0:		%{name}-types.patch
URL:		http://search.cpan.org/dist/Crypt-RIPEMD160/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Crypt::RIPEMD160 module allows you to use the RIPEMD160 Message
Digest algorithm from within Perl programs. RIPEMD-160 is a 160-bit
cryptographic hash function, designed by Hans Dobbertin, Antoon
Bosselaers, and Bart Preneel. It is intended to be used as a secure
replacement for the 128-bit hash functions MD4, MD5, and RIPEMD.

%description -l pl.UTF-8
Moduł Crypt::RIPEMD160 pozwala na używanie algorytmu skrótu RIPEMD160
z poziomu programów w Perlu. RIPEMD-160 jest 160-bitową
kryptograficzną funkcją mieszającą, opracowaną przez Hansa Dobbertina,
Antoona Bosselaersa i Barta Preneela. Ma być bezpiecznym zamiennikiem
128-bitowych funkcji mieszających MD4, MD5 i RIPEMD.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README rmd160/doc/*.html
%{perl_vendorarch}/Crypt/RIPEMD160.pm
%{perl_vendorarch}/Crypt/RIPEMD160
%dir %{perl_vendorarch}/auto/Crypt/RIPEMD160
%{perl_vendorarch}/auto/Crypt/RIPEMD160/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/RIPEMD160/*.so
%{_mandir}/man3/*
%changelog
* Wed Feb 04 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Crypt-RIPEMD160.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 081de17
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 6a0a41b
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> fb93d53
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 922e826
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 4cc2f14
- up to 0.05

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 003fc6d
- rel 10

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> b0d256e
- release 9

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a96a1e7
- release 8

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> d27a27b
- release 7

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e0609d0
- rel 6

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 80c593a
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a2c4488
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 573c0b2
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 56fc2d6
- formatting

* Sat Aug 28 2004 Jakub Bogusz <qboosh@pld-linux.org> 7c75ce2
- added types patch (fix for 64-bit archs)
  unfortunately tests failure doesn't terminate build
- release 5

* Sat Aug 28 2004 Jakub Bogusz <qboosh@pld-linux.org> 672ab7d
- use arch-independent type names

* Sat Jun 05 2004 radek <radek@pld-linux.org> 70222c2
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> eb53449
- rel. 4

* Thu May 06 2004 ankry <ankry@pld-linux.org> 8efeab8
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> 7008a2e
- cosmetics

